Bug 244123 - Review Request: cvsplot - Collect statistics from CVS controlled files
Review Request: cvsplot - Collect statistics from CVS controlled files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 18:35 EDT by Marek Mahut
Modified: 2009-01-07 13:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 20:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-06-13 18:35:28 EDT
Spec URL: http://people.redhat.com/mmahut/rpms/cvsplot/cvsplot.spec
SRPM URL: http://people.redhat.com/mmahut/rpms/cvsplot/cvsplot-1.7.4-3.src.rpm
Description: Cvsplot is used for collecting statistics from CVS controlled files.
It produces simple statistics such as how the total number of files
and lines of code change against time.
Comment 1 Lubomir Kundrak 2007-06-13 19:06:16 EDT
> Patch0:         %{name}-%{version}.gnuplot.patch

Please do not use macros in patch names. Thier names should reflect the release
they have been added in, and thus never change. Your package would break if you
bumped a version number.

On the other side, you could have happily used the macros for the Source file.

Comment 2 Marek Mahut 2007-06-13 19:37:23 EDT
Thank you, fixed.  Files are updated, please double-check.
Comment 3 Gianluca Sforna 2007-06-14 04:23:07 EDT
cvsplot used to be in extras until FC5, is there a reason why we are starting a
new review?

https://admin.fedoraproject.org/pkgdb/packages/name/cvsplot

Comment 4 Marek Mahut 2007-06-14 04:29:28 EDT
Gianluca, 

We are reviewing basicaly new spac file for this package. I think it's the best
to do for 3 release old package. Let me know if you don't agree.
Comment 5 Lubomir Kundrak 2007-06-14 04:49:11 EDT
* source files match upstream:
        MD5: 50315fad42d7ca5f94ccdd4f5d25ee03  cvsplot-1.7.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present and correctly used.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package installs properly
* debuginfo is not present as this is a perl package
* rpmlint is silent.
* final provides and requires are sane.
* %check is not present; no test suite upstream.  
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 6 Marek Mahut 2007-06-14 04:56:51 EDT
Package Change Request
======================
Package Name: cvsplot
New Branches: devel
Owner: mmahut@redhat.com
Comment 7 Marek Mahut 2007-06-14 07:09:46 EDT
After discussion with Nigel Jones, I'm submiting new request.

Package Change Request
======================
Package Name: cvsplot
New Branches: EL-4 EL-5 FC-6 F-7 devel
Owner: mmahut@redhat.com
Comment 8 Gianluca Sforna 2007-06-14 11:13:46 EDT
(In reply to comment #4)
> Gianluca, 
> 
> We are reviewing basicaly new spac file for this package. I think it's the best
> to do for 3 release old package. Let me know if you don't agree.

No problems here. I just wanted to make sure you was aware of that.

Comment 9 Kevin Fenzi 2007-06-14 12:44:28 EDT
cvs branched, package un-orphaned.
Comment 10 Marek Mahut 2007-06-22 20:49:52 EDT
package build.

Note You need to log in before you can comment on or make changes to this bug.